<?php
    lt_include( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );

    class PluginClean extends PluginBase
    {
        function PluginClean($source = "")
        {
			$this->PluginBase($source);
			
            $this->id = "clean";
            $this->author = "Mai Minh";
            $this->desc = "This plugin cleans unused blogs.";
            $this->version = "20090221";
  
            $this->locales = Array( "en_UK" , "zh_TW" );
            
            if ($source == "admin")
                $this->init();
        }

		function init()
		{
            $this->registerAdminAction( "cleanUnusedBlogs", "AdminCleanAction" );
			
            $this->addMenuEntry( "/menu/adminSettings/Miscellaneous", "clean_unused_blogs",
                                 "?op=cleanUnusedBlogs",
                                 "",
                                 Array("update_site_blog", "view_site_blog"),
                                 Array("update_site_blog", "view_site_blog"),
                                 true);  // TODO: can this be false due to above permissions?
		}
    }
?>
